#!/usr/bin/perl

use strict;
my $lang=`cat /proc/cmdline | grep 'lang.en'`;
my $title1="Choose MP3 input file";
my $title2="Choose CSV playlist file";
my $startit="Start process?";
my $startok="Have a look in the folder of the mp3 file.";
my $ok="Proceed";
my $cancel="Cancel";
my $pw="Password";
if ($lang eq "") {
	$title1="MP3-Inputdatei wählen";
	$title2="CSV-Playlist-Datei wählen";
	$ok="Ausführen";
	$cancel="Abbrechen";
	$pw="Passwort";
	$startit="Job starten?";
	$startok="Bitte in Ordner der MP3-Datei nachsehen.";
}
my $mp3in = shift;
my $keyin = shift;
if (!-e "$mp3in" || !-e "$keyin") {
	my $beg = "yad --borders=10 --window-icon=\"folder_home\" ".
		"--height=600 --width=800";
	my $beg1 = "yad --borders=10 --window-icon=\"folder_home\" ";
	my $cmd = "$beg --title \"$title1\" --file";
	$mp3in=firstValue(`$cmd`);
	if (-e "$mp3in") {
		$cmd = "$beg --title \"$title2\" --file";
		$keyin=firstValue(`$cmd`);
		if (-e "$keyin") {
			$cmd = "$beg1 --title \"MP3toCD\" --text=\"$startit\" --yesno";
			my $res=system($cmd);
			if ($res==0) {
				$cmd = "/usr/bin/mp3tocd \"$mp3in\" \"$keyin\"";
				system("/usr/bin/nohup $cmd &");
				$cmd="$beg1 --title \"MP3toCD\" --text=\"$startok\" --button=\"Ok\":1";
				`$cmd`;
			}
		}
	}
}

sub firstValue {
	my ($val) = @_;
	chomp $val;
	my @parts = split(/\|/,$val);
	$val = shift @parts;
	return $val;
}

